cURL
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/git/diffs/{diffBaseId}/{diffTargetId} \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/git/diffs/{diffBaseId}/{diffTargetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/git/diffs/{diffBaseId}/{diffTargetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"diff": "<string>",
"new_path": "<string>",
"new_id": "<string>",
"old_path": "<string>",
"old_id": "<string>"
}
]Diff
Get projects gitdiffs
GET
/
projects
/
{projectId}
/
git
/
diffs
/
{diffBaseId}
/
{diffTargetId}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
default - application/json
The identifier of Diff
The unified diff between two trees
The new path of the file in the diff
The new object ID of the file in the diff
The old path of the file in the diff
The old object ID of the file in the diff
Last modified on August 7, 2026
Was this page helpful?
⌘I